japa.parser.ast.expr

## Enum AssignExpr.Operator

- java.lang.Object
- - java.lang.Enum<AssignExpr.Operator>
  - - japa.parser.ast.expr.AssignExpr.Operator

All Implemented Interfaces:
  Serializable, Comparable<AssignExpr.Operator>

Enclosing class:
  AssignExpr

    public static enum AssignExpr.Operator
    extends Enum<AssignExpr.Operator>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`and`
`assign`
`lShift`
`minus`
`or`
`plus`
`rem`
`rSignedShift`
`rUnsignedShift`
`slash`
`star`
`xor`

### Method Summary

Methods
`static AssignExpr.Operator` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AssignExpr.Operator[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### assign

    public static final AssignExpr.Operator assign

#### plus

    public static final AssignExpr.Operator plus

#### minus

    public static final AssignExpr.Operator minus

#### star

    public static final AssignExpr.Operator star

#### slash

    public static final AssignExpr.Operator slash

#### and

    public static final AssignExpr.Operator and

#### or

    public static final AssignExpr.Operator or

#### xor

    public static final AssignExpr.Operator xor

#### rem

    public static final AssignExpr.Operator rem

#### lShift

    public static final AssignExpr.Operator lShift

#### rSignedShift

    public static final AssignExpr.Operator rSignedShift

#### rUnsignedShift

    public static final AssignExpr.Operator rUnsignedShift

### Method Detail

#### values

    public static AssignExpr.Operator[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AssignExpr.Operator c : AssignExpr.Operator.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AssignExpr.Operator valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null